Bug 622181 - ftp proxy does not work right
ftp proxy does not work right
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: httpd (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Joe Orton
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-07 18:58 EDT by Need Real Name
Modified: 2011-06-28 10:51 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-28 10:51:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2010-08-07 18:58:11 EDT
I use httpd-2.2.16-1 (from rawhide) configured as ftp proxy.
The problem is:
the proxy does not work for some ftp sites. for example, when accessing from Firefox:

ftp://ftp.kernel.org/pub/tools/ - works OK
ftp://ftp.redhat.com/ - gives an error.

Disabling proxy make ftp://ftp.redhat.com/ working just fine.


relevant part of the config:
Listen 80
<VirtualHost *:80>
ServerName 192.168.0.10
<IfModule mod_proxy.c>
    ErrorLog  /var/log/httpd/error_log
    CustomLog /var/log/httpd/access_log combined
    ProxyRequests On
    AllowCONNECT 21 22 25 443 1443 563 7999 993 1863
    <Directory proxy:*>
        Order deny,allow
        Deny from all
        Allow from 192.168.
    </Directory>
    ProxyVia Block
    #NoCache *
</IfModule>
</VirtualHost>
Comment 1 Need Real Name 2010-08-08 05:42:57 EDT
ftp://ftp.redhat.com/ error message in fireefox, with httpd 2.2.16 ftp proxy
-----------------------------------------------------------

Proxy Error

The proxy server received an invalid response from an upstream server.
The proxy server could not handle the request GET ftp://ftp.redhat.com/.

Reason: Permission denied.

Apache/2.2.16 (Fedora) Server at ftp.redhat.com Port 80
Comment 2 Need Real Name 2010-08-08 05:45:18 EDT
Same ftp://ftp.redhat.com/ without proxy (no error):


Index of ftp://ftp.redhat.com/

Up to higher level directory
  
   Name
   	Size
   	Last Modified
  
 pub
 	
 	12/19/2009
 	12:00:00 AM

 redhat
 	
 	07/21/2010
 	07:25:00 PM
Comment 3 Need Real Name 2010-08-08 05:46:59 EDT
and ftp://ftp.kernel.org/pub/tools/ work fine both with & without httpd 2.2.16 ftp proxy

(with proxy:
Directory of ftp://ftp.kernel.org/pub/tools/

			    Welcome to the

drwxr-sr-x    3 536      536            22 Apr 30  2008 .
drwxrwsr-x   11 536      536          4096 Feb 12  2009 ..
drwxrwsr-x    3 536      536            53 May 02  2008 crosstool

Apache/2.2.16 (Fedora) Server at ftp.kernel.org Port 80
)
Comment 4 Need Real Name 2010-08-08 05:52:39 EDT
failure messages:
(export export ftp_proxy=http://192.168.0.54:180/ ; wget -d ftp://ftp.redhat.com  )
DEBUG output created by Wget 1.12 on linux-gnu.

--2010-08-08 05:52:24--  ftp://ftp.redhat.com/
Connecting to 192.168.0.54:180... connected.
Created socket 3.
Releasing 0x00000000014c2e80 (new refcount 0).
Deleting unused 0x00000000014c2e80.

---request begin---
GET ftp://ftp.redhat.com/ HTTP/1.0
User-Agent: Wget/1.12 (linux-gnu)
Accept: */*
Host: ftp.redhat.com

---request end---
Proxy request sent, awaiting response... 
---response begin---
HTTP/1.1 502 Proxy Error
Date: Sun, 08 Aug 2010 10:16:31 GMT
Content-Length: 485
Connection: close
Content-Type: text/html; charset=iso-8859-1

---response end---
502 Proxy Error
Closed fd 3
2010-08-08 05:52:25 ERROR 502: Proxy Error.
Comment 5 Need Real Name 2010-08-08 05:53:13 EDT
OK message
(export export ftp_proxy=http://192.168.0.54:180/ ; wget -d ftp://ftp.kernel.org )
DEBUG output created by Wget 1.12 on linux-gnu.

--2010-08-08 05:52:42--  ftp://ftp.kernel.org/
Connecting to 192.168.0.54:180... connected.
Created socket 3.
Releasing 0x0000000000ed4e80 (new refcount 0).
Deleting unused 0x0000000000ed4e80.

---request begin---
GET ftp://ftp.kernel.org/ HTTP/1.0
User-Agent: Wget/1.12 (linux-gnu)
Accept: */*
Host: ftp.kernel.org

---request end---
Proxy request sent, awaiting response... 
---response begin---
HTTP/1.1 200 OK
Date: Sun, 08 Aug 2010 10:16:48 GMT
Server: Apache/2.2.16 (Fedora)
Content-Type: text/html;charset=ISO-8859-1
Connection: close

---response end---
200 OK
Length: unspecified [text/html]
Saving to: “index.html.5”

    [ <=>                                   ] 1,446       --.-K/s   in 0.1s    

Closed fd 3
2010-08-08 05:52:43 (10.1 KB/s) - “index.html.5” saved [1446]
Comment 6 Bug Zapper 2011-06-01 07:55:16 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2011-06-28 10:51:44 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.